How to use
============================

In this directory are several scripts to reproduce the released s16a photo-z.

1. Make a symbolic link to `../scripts` to this directory. Thus:
    `ln -s ../scripts .`

2. The pre-trained model actually used for production is included
    (`model-pdf-softplus-...json`). If you don't like to do training
    for yourself, skip to 7.
    **Performing 3 to 6, the pre-trained model will be overwritten.**
    Since randomness exists in the training process, the lost model
    will never be recoverable.

3. Get the supervisor catalog and run `split-supervisor.py` to split it into
    training/validation/test datasets.

4. Run training.sh to train several models. In a computer with 8 core 16 threads,
    training them will finish in a day.

5. If bored of just waiting, run `scripts/plot-loss.py` .  The script will search
    the current directory for those log files that are actively updated,
    and plot the loss as a function of iteration.  The plot will automatically be
    updated at certain intervals.

6. Training finished, select the best one. You will know which will be the best
    by calling `scripts/plot-loss.py`.  It will show you only a single learning
    curve for the best one.  If you see two or more curves, it means training
    has not finished yet.

7. Download input files for actual photo-z production by calling `download-inputs.py`
    The script won't succeed if the DB is not available.  If not, you will have to
    circumvent the problem somehow.

8. Run do-production.sh.  In a computer with 8 core 16 threads, it will finish in
    4 hours.

THE END
